MMFF/BondStretch.h File Reference
`#include <ForceField/Contrib.h>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::BondStretchContrib
| The bond-stretch term for MMFF. More...

## Namespaces

| ForceFields
| ForceFields::MMFF
| ForceFields::MMFF::Utils

## Functions

double | ForceFields::MMFF::Utils::calcBondRestLength (const MMFFBond *mmffBondParams)
| returns the MMFF rest length for a bond More...
double | ForceFields::MMFF::Utils::calcBondForceConstant (const MMFFBond *mmffBondParams)
| returns the MMFF force constant for a bond More...
double | ForceFields::MMFF::Utils::calcBondStretchEnergy (const double r0, const double kb, const double distance)
| calculates and returns the bond stretching MMFF energy More...